## gcc-3.4 3.4.4cs2005q3.2-5.osso3

=== p/utils/Makefile ===
# Makefile for the GNU Pascal utilities
#
# Copyright (C) 2002-2005 Free Software Foundation, Inc.
#
# Author: Frank Heckenbach <frank@pascal.gnu.de>
#
# This file is part of GNU Pascal.
#
# GNU Pascal is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Pascal is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Pascal; see the file COPYING. If not, write to the
# Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# Variables to override
PC=gpc
CFLAGS=-O2 -g
PFLAGS=
UTILS_WARN=-W -Wall -Wmissing-prototypes -Wmissing-declarations
GCC_DIR=ERROR--GCC_DIR-MUST-BE-SET
exeext=
prefix=/usr/local
bindir=$(prefix)/bin
man1dir=$(prefix)/man/man1
INSTALL_PROGRAM=install -m 755
INSTALL_DATA=install -m 644
BUILD=unknown
HOST=unknown

srcdir=$(GCC_DIR)/p/utils
VPATH=$(srcdir)

# Internal variables
PFLAGS1=--executable-path=. --unit-path=$(GCC_DIR)/p/rts --unit-path=$(GCC_DIR)/p/units
EXE=binobj$(exeext) gpidump$(exeext)
EXE2=binobj gpidump
DOC=binobj.1 gpidump.1
PC_WITH_FLAGS=$(PC) --automake --executable-file-name $(UTILS_WARN) $(CFLAGS) $(PFLAGS) $(PFLAGS1) `cat needed-options`

all: $(EXE) $(DOC)

# The Pascal source is not used, but we have to provide any.
# `-x Preprocessed-Pascal /dev/null' works as well, except on mingw.
needed-options: binobj.pas $(GCC_DIR)/p/p-version.h
	$(PC) $(UTILS_WARN) $(CFLAGS) $(PFLAGS) $(PFLAGS1) --print-needed-options "$<" 2> "$@" || true
	if grep '^[^-]' "$@" > /dev/null; then echo "needed-options: `cat "$@"`" >&2; rm -f "$@"; false; else true; fi

binobj$(exeext): binobj.pas needed-options
	$(PC_WITH_FLAGS) "$<"

gpidump$(exeext): gpidump.pas tree.inc needed-options
	$(PC_WITH_FLAGS) -I. -I "$(GCC_DIR)/p" "$<"

binobj.1: binobj
	[ -r no-man ] || if [ x"$(BUILD)" != x"$(HOST)" ]; then \
	  echo "*** cross-compiling; man pages for the GPC utilities will not be built" >&2; \
	  echo cross-compile > no-man; \
	elif help2man --version > /dev/null 2>&1; then \
	  help2man -N ./"$<" > "$@" || { rm -f "$@"; false; } \
	else \
	  echo "*** help2man not found; man pages for the GPC utilities will not be built" >&2; \
	  echo no-help2man > no-man; \
	fi

gpidump.1: gpidump
	[ -r no-man ] || if [ x"$(BUILD)" != x"$(HOST)" ]; then \
	  echo "*** cross-compiling; man pages for the GPC utilities will not be built" >&2; \
	  echo cross-compile > no-man; \
	elif help2man --version > /dev/null 2>&1; then \
	  help2man -N ./"$<" > "$@" || { rm -f "$@"; false; } \
	else \
	  echo "*** help2man not found; man pages for the GPC utilities will not be built" >&2; \
	  echo no-help2man > no-man; \
	fi

tree.inc: $(GCC_DIR)/version.c $(GCC_DIR)/tree.def $(GCC_DIR)/p/p-tree.def $(GCC_DIR)/p/module.c
	"$(srcdir)/mk-t-inc" "$(GCC_DIR)" "$@"

install: $(EXE) $(DOC)
	for f in $(EXE); do \
	  rm -f $(bindir)/"$$f"; \
	  $(INSTALL_PROGRAM) "$$f" "$(bindir)/$$f"; \
	  chmod a+x $(bindir)/"$$f"; \
	done
	for f in $(DOC); do \
	  if [ -r "$$f" ]; then \
	    rm -f $(man1dir)/"$$f"; \
	    $(INSTALL_DATA) "$$f" "$(man1dir)/$$f"; \
	    chmod a-x $(man1dir)/"$$f"; \
	  fi; \
	done

clean:
	rm -f *.o *.i *.s *.gpi *.gpd $(EXE) $(EXE2) $(DOC) tree.inc needed-options

## gcc-3.4 3.4.4cs2005q3.2-5.osso2

=== debian/changelog ===
gcc-3.4 (3.4.4cs2005q3.2-5.osso2) unstable; urgency=low

  * Dependences cleanup, from control.m4 and rules.conf too
  * Disabled checks

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Jun 2006 14:40:59 +0300

gcc-3.4 (3.4.4cs2005q3.2-5.osso1) unstable; urgency=low

  * Dependences cleanup, now only for control, not for control.m4
  * Enabled armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 17:29:33 +0300

gcc-3.4 (3.4.4cs2005q3.2-5) unstable; urgency=low

  * gcc-arm-incorrect-optab-expansion-ulcmp patch was added

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 May 2006 18:47:26 +0400

gcc-3.4 (3.4.4cs2005q3.2-4.osso1) unstable; urgency=low

  * Changelog cleanup
  * Dependences cleanup

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Apr 2006 13:21:41 +0300

gcc-3.4 (3.4.4cs2005q3.2-4) unstable; urgency=low

  * glibc/uclibc configuration support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Mar 2006 21:19:27 +0400

gcc-3.4 (3.4.4cs2005q3.2-3) unstable; urgency=low

  * fix incorrect libstdc++6 dependence
  * recompiled with cs2005q3.2-5 toolchain package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Sat, 18 Mar 2006 03:09:04 +0300

gcc-3.4 (3.4.4cs2005q3.2-2) unstable; urgency=low

  * recompiled with cs2005q3.2-4 toolchain package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 15 Mar 2006 17:35:16 +0300

gcc-3.4 (3.4.4cs2005q3.2-1) unstable; urgency=low

  * Initial cs2005q3.2 release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  1 Mar 2006 16:36:12 +0300

gcc-3.4 (3.4.4cs2005q3.1-3) unstable; urgency=low

  * libstdc++6 building was restored from gcc-2005q3-1 source tree.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 10 Feb 2006 17:04:44 +0300

gcc-3.4 (3.4.4cs2005q3.1-2) unstable; urgency=low

  * libgcc1 building was restored from gcc-2005q3-1 source tree.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  2 Feb 2006 18:14:01 +0300

gcc-3.4 (3.4.4cs2005q3.1-1) unstable; urgency=low

  * Start debianized version gcc-2005q3-1 from CodeCourcery. debian/ directory
  based on debianized gcc-3.4.5 from Matthias Klose <doko@debian.org>.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Sat, 28 Jan 2006 13:05:53 +0300

=== debian/control ===
Source: gcc-3.4
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
Standards-Version: 3.6.2
Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64] | ia32-libs-dev [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc1 [amd64 ppc64], lib64gcc1 [powerpc i386 sparc s390], libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
Build-Depends-Indep: doxygen (>= 1.4.2)

Package: gcc-3.4-base
Architecture: any
Section: devel
Priority: optional
Description: The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ${dep:libcbiarch}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ${dep:libcbiarch}
Conflicts: ia32-libs-openoffice.org (<= 1ubuntu2)
Replaces: ia32-libs-openoffice.org (<= 1ubuntu2)
Description: GCC support library (32-bit version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: gcc-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libunwinddev}, ${shlibs:Depends}
Recommends: ${dep:libcdev}
Conflicts: gcc-3.2 (<= 1:3.2.3-0pre8)
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}
Provides: c-compiler
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details.

Package: gcc-3.4-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.5-hppa64 (<= 3.5-0pre1)
Description: The GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: cpp-3.4
Architecture: any
Section: interpreters
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: The GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.

Package: cpp-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
Replaces: cpp (<= 1:2.93.12)
Description: Documentation for the GNU C preprocessor (cpp)
 Documentation for the GNU C preprocessor in info format.

Package: g++-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), libstdc++6-dev (= ${gcc:Version}), ${shlibs:Depends}, libstdc++6 (>= 3.4.0)
Replaces: gcc (<= 2.7.2.3-3)
Provides: c++-compiler, c++abi2-dev
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcxxbiarch}
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details. Do not mix code compiled with g++-3.3 and g++-3.4.

Package: protoize
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (>= ${gcc:Version}), ${shlibs:Depends}
Description: Create/remove ANSI prototypes from C code
 "protoize" can be used to add prototypes to a program, thus converting
 the program to ANSI C in one respect.  The companion program "unprotoize"
 does the reverse: it removes argument types from any prototypes
 that are found.

Package: gobjc-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${shlibs:Depends}, libobjc1 (>= ${gcc:EpochVersion})
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion})
Provides: objc-compiler
Description: The GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: lib64objc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications (64bit)
 Library needed for GNU ObjC applications linked against the shared library.

Package: g77-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), libg2c0-dev (>= ${gcc:EpochVersion}), ${shlibs:Depends}
Provides: fortran77-compiler
Suggests: g77-3.4-doc
Conflicts: g77-2.95 (<= 1:2.95.4-19), g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.4-3)
Description: The GNU Fortran 77 compiler
 This is the GNU g77 Fortran compiler, which compiles
 Fortran 77 on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: g77-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
Replaces: g77 (<= 1:2.91.58-3)
Description: Documentation for the GNU Fortran compiler (g77)
 Documentation for the GNU Fortran 77 compiler in info format.

Package: libg2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Fortran 77 applications
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: libg2c0-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), libg2c0 (= ${gcc:EpochVersion}), ${shlibs:Depends}
Conflicts: g77-2.95, g77-2.96, g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.3-0pre3)
Description: GNU Fortran 77 library development
 Headers and static libraries for g2c.

Package: lib64g2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libg2c0 (<< 1:3.4.4-7)
Description: Runtime library for GNU Fortran 77 applications (64bit)
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: lib32g2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libg2c0 (<< 1:3.4.4-7)
Description: Runtime library for GNU Fortran 77 applications (32bit)
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: libstdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Conflicts: libstdc++6-0
Replaces: libstdc++6-0
Description: The GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: lib32stdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), lib32gcc1
Description: The GNU Standard C++ Library v3 (ia32)
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.

Package: lib64stdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: The GNU Standard C++ Library v3 (64bit)
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: libstdc++6-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), g++-3.4 (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version}), ${dep:libcdev}
Conflicts: libstdc++6-0-dev, libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libstdc++2.8-dev, libg++2.8-dev, libstdc++2.9-dev, libstdc++2.9-glibc2.1-dev, libstdc++2.10-dev (<< 1:2.95.3-2), libstdc++3.0-dev
Replaces: libstdc++6-0-dev
Suggests: libstdc++6-doc
Provides: libstdc++-dev
Description: The GNU Standard C++ Library v3 (development files)
 This package contains the headers and static library files necessary for
 building C++ programs which use libstdc++. Be advised that this only works
 with the GNU C++ compiler (version 3.0), and no earlier library will work it.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: libstdc++6-pic
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-3.4-base (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version}), libstdc++6-dev (= ${gcc:Version})
Conflicts: libstdc++6-0-pic
Replaces: libstdc++6-0-pic
Description: The GNU Standard C++ Library v3 (shared library subset kit)
 This is used to develop subsets of the libstdc++ shared libraries for
 use on custom installation floppies and in embedded systems.
 .
 Unless you are making one of those, you will not need this package.

Package: libstdc++6-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-3.4-base (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version})
Recommends: libstdc++6-dev (= ${gcc:Version})
Conflicts: libstdc++6-0-dbg, libstdc++5-dbg, libstdc++5-3.3-dbg, libstdc++6-4.0-dbg
Replaces: libstdc++6-0-dbg
Description: The GNU Standard C++ Library v3 (debugging files)

## gcc-3.4 3.4.4cs2005q3.2-5.osso3

=== debian/changelog ===
gcc-3.4 (3.4.4cs2005q3.2-5.osso3) unstable; urgency=low

  * Cleanup dependences for i386 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 31 Aug 2006 12:14:43 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64] | ia32-libs-dev [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc1 [amd64 ppc64], lib64gcc1 [powerpc i386 sparc s390], libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
+Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16),  libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
 Build-Depends-Indep: doxygen (>= 1.4.2)
 
 Package: gcc-3.4-base
@@ -31,17 +31,6 @@
 Priority: optional
 Depends: ${shlibs:Depends}
 Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
-
-Package: lib64gcc1
-Architecture: any
-Section: libs
-Priority: optional
-Depends: ${dep:libcbiarch}
-Conflicts: libgcc1 (<= 1:3.3-0pre9)
-Description: GCC support library (64bit)
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
  special needs for some languages.
@@ -146,14 +135,6 @@
 Priority: optional
 Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
 Description: Runtime library for GNU Objective-C applications
- Library needed for GNU ObjC applications linked against the shared library.
-
-Package: lib64objc1
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
-Description: Runtime library for GNU Objective-C applications (64bit)
  Library needed for GNU ObjC applications linked against the shared library.
 
 Package: g77-3.4
@@ -195,26 +176,6 @@
 Description: GNU Fortran 77 library development
  Headers and static libraries for g2c.
 
-Package: lib64g2c0
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
-Replaces: libg2c0 (<< 1:3.4.4-7)
-Description: Runtime library for GNU Fortran 77 applications (64bit)
- Library needed for GNU Fortran 77 applications linked against the
- shared library.
-
-Package: lib32g2c0
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
-Replaces: libg2c0 (<< 1:3.4.4-7)
-Description: Runtime library for GNU Fortran 77 applications (32bit)
- Library needed for GNU Fortran 77 applications linked against the
- shared library.
-
 Package: libstdc++6
 Architecture: any
 Section: libs
@@ -238,19 +199,6 @@
 Description: The GNU Standard C++ Library v3 (ia32)
  This package contains an additional runtime library for C++ programs
  built with the GNU compiler.
-
-Package: lib64stdc++6
-Architecture: any
-Section: libs
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
-Description: The GNU Standard C++ Library v3 (64bit)
- This package contains an additional runtime library for C++ programs
- built with the GNU compiler.
- .
- libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
- was included up to g++-2.95. The first version of libstdc++-v3 appeared
- in g++-3.0.
 
 Package: libstdc++6-dev
 Architecture: any
@@ -292,3 +240,58 @@
 Conflicts: libstdc++6-0-dbg, libstdc++5-dbg, libstdc++5-3.3-dbg, libstdc++6-4.0-dbg
 Replaces: libstdc++6-0-dbg
 Description: The GNU Standard C++ Library v3 (debugging files)
+ This package contains the shared library of libstdc++ compiled with
+ debugging symbols.
+
+Package: libstdc++6-doc
+Architecture: all
+Section: doc
+Priority: optional
+Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
+Conflicts: libstdc++5-doc, libstdc++5-3.3-doc
+Description: The GNU Standard C++ Library v3 (documentation files)
+ This package contains documentation files for the GNU stdc++ library.
+ .
+ One set is the distribution documentation, the other set is the
+ source documentation including a namespace list, class hierarchy,
+ alphabetical list, compound list, file list, namespace members,
+ compound members and file members.
+
+Package: gnat-3.4
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${dep:libgnat}, ${shlibs:Depends}
+Suggests: gnat-3.4-doc, ada-reference-manual
+Provides: ada-compiler
+Conflicts: gnat, gnat-3.1, gnat-3.2, gnat-3.3
+Provides: gnat
+Description: The GNU Ada compiler
+ This is the GNU Ada compiler, which compiles Ada on platforms supported
+ by the gcc compiler. It uses the gcc backend to generate optimized code.
+
+Package: libgnat-3.4
+Section: libs
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
+Description: Runtime library for GNU Ada applications
+ Library needed for GNU Ada applications linked against the shared library.
+
+Package: gnat-3.4-doc
+Architecture: all
+Section: doc
+Priority: optional
+Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
+Suggests: gnat-3.4
+Description: Documentation for the GNU Ada compiler (gnat)
+ Documentation for the GNU Ada compiler in info format.
+
+Package: gpc-2.1-3.4
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${shlibs:Depends}
+Recommends: libgmp3-dev, libncurses5-dev
+Suggests: gpc-2.1-3.4-doc (>= ${gcc:Version})
+Provides: pascal-compiler
+Description: The GNU Pascal compiler
+ This is the GNU Pascal compiler, which compiles Pascal on platforms supported

## gcc-3.4 3.4.4cs2005q3.2-5.osso8

=== debian/changelog ===
gcc-3.4 (3.4.4cs2005q3.2-5.osso8) unstable; urgency=low

  * Removed duplicated libgcc1 dependence 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 16 Mar 2007 14:40:40 +0200

gcc-3.4 (3.4.4cs2005q3.2-5.osso7) unstable; urgency=low

  * Fixed lintian error, duplicate ada Provides in control 
  * Removed libc-dev dependence to fix build in our environment
  * Removed locales

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 15:30:23 +0200

gcc-3.4 (3.4.4cs2005q3.2-5.osso4) unstable; urgency=low

  * Unwinder fixed for glibc 2.5 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 13:04:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16),  libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
+Build-Depends: dpkg-dev (>= 1.13.9), libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
 Build-Depends-Indep: doxygen (>= 1.4.2)
 
 Package: gcc-3.4-base
@@ -51,7 +51,7 @@
 Architecture: any
 Section: devel
 Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libunwinddev}, ${shlibs:Depends}
+Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libunwinddev}, ${shlibs:Depends}
 Recommends: ${dep:libcdev}
 Conflicts: gcc-3.2 (<= 1:3.2.3-0pre8)
 Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}
@@ -262,9 +262,8 @@
 Priority: optional
 Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${dep:libgnat}, ${shlibs:Depends}
 Suggests: gnat-3.4-doc, ada-reference-manual
-Provides: ada-compiler
+Provides: ada-compiler, gnat
 Conflicts: gnat, gnat-3.1, gnat-3.2, gnat-3.3
-Provides: gnat
 Description: The GNU Ada compiler
  This is the GNU Ada compiler, which compiles Ada on platforms supported
  by the gcc compiler. It uses the gcc backend to generate optimized code.
@@ -295,3 +294,11 @@
 Provides: pascal-compiler
 Description: The GNU Pascal compiler
  This is the GNU Pascal compiler, which compiles Pascal on platforms supported
+ by the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ WARNING: the integration of gpc into gcc-3.x is still in an experimental
+ stage. For production use, please use gpc or gpc-2.95.
+
+Package: gpc-2.1-3.4-doc
+Architecture: all
+Section: doc

## gcc-3.4 3.4.6

=== p/utils/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the GNU Pascal utilities
 #
-# Copyright (C) 2002-2005 Free Software Foundation, Inc.
+# Copyright (C) 2002-2006 Free Software Foundation, Inc.
 #
 # Author: Frank Heckenbach <frank@pascal.gnu.de>
 #
